# Bulk Delete Events

#### Description
Delete events that you are managing from the user's calendars in bulk.

#### URL format
```
{data_center_url}/v1/events
```

#### Example Requests
##### Delete all events from all calendars
```http
DELETE /v1/events HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "delete_all": true
}
```

##### Delete all events from specific calendars
```http
DELETE /v1/events HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "calendar_ids" : [ "cal_n23kjnwrw2_sakdnawerd3" ]
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `delete_all` *(optional)*

A [`Boolean`](/developers/api/data-types/index.md) specifying whether all events you are managing for the user should be deleted. When specified must be `true`.

##### `calendar_ids` *(optional)*

An [`Array`](/developers/api/data-types/index.md) specifying the calendars from which to delete all events you are managing for the user. When provided at least one calendar must be specified.

#### Response Errors
Only one of `delete_all` or `calendar_ids` must be provided in the body, if both are set this is considered an error.



---
[Read in HTML](/developers/api/events/bulk-delete-events/)